// AST utility functions
/** Get TemplateNode attribute from name */
export function getAttr(attributes, name) {
    const attr = attributes.find((a) => a.name === name);
    return attr;
}
/** Get TemplateNode attribute by value */
export function getAttrValue(attributes, name) {
    const attr = getAttr(attributes, name);
    if (attr) {
        return attr.value[0]?.data;
    }
}
/** Set TemplateNode attribute value */
export function setAttrValue(attributes, name, value) {
    const attr = attributes.find((a) => a.name === name);
    if (attr) {
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        attr.value[0].data = value;
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        attr.value[0].raw = value;
    }
}
