import cheerio from 'cheerio';
/** Given an HTML string, collect <link> and <img> tags */
export function collectStatics(html) {
    const statics = new Set();
    const $ = cheerio.load(html);
    const append = (el, attr) => {
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        const value = $(el).attr(attr);
        if (value.startsWith('http') || $(el).attr('rel') === 'alternate') {
            return;
        }
        statics.add(value);
    };
    $('link[href]').each((i, el) => {
        append(el, 'href');
    });
    $('img[src]').each((i, el) => {
        append(el, 'src');
    });
    return statics;
}
